## ros-melodic-ros-reflexxes 0.8.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_reflexxes)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  libreflexxestype2
)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" Cpp11CompilerFlag)
if (Cpp11CompilerFlag)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp libreflexxestype2
#  DEPENDS system_lib
)

###########
## Build ##
###########
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)


## Declare a C++ library
add_library(${PROJECT_NAME}
  src/RosReflexxesPositionInterface.cpp
  src/RosReflexxesVelocityInterface.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.hpp"
   PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-melodic-ros-reflexxes (0.8.8-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.7-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.6-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.5-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.4-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.3-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.2-1bionic) bionic; urgency=high



 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-ros-reflexxes (0.8.1-1bionic) bionic; urgency=high

  * Merge branch 'reflexxes_interface' into 'kinetic-devel'
    Merge Added reflexxes_interface for easy access to libreflexxestype2 library (using RMLPositionInterface and RMLVelocityInterface)
    See merge request IIROB/iirob_extern!11
  * Merge Added reflexxes_interface for easy access to libreflexxestype2 library (using RMLPositionInterface and RMLVelocityInterface)
  * Contributors: Daniel Zumkeller, Denis Štogl

 -- Daniel Zumkeller <daniel.zumkeller@live.de>  Mon, 10 Dec 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-ros-reflexxes
Section: misc
Priority: extra
Maintainer: Daniel Zumkeller <daniel.zumkeller@live.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-libreflexxestype2, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros-reflexxes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-libreflexxestype2, ros-melodic-roscpp
Description: The ros_reflexxes package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros-reflexxes//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
